Index: src/sas/qtgui/Perspectives/Invariant/InvariantPerspective.py
===================================================================
--- src/sas/qtgui/Perspectives/Invariant/InvariantPerspective.py	(revision aadf0af183702570addb989ed535f1c04f06b3df)
+++ src/sas/qtgui/Perspectives/Invariant/InvariantPerspective.py	(revision b78996786903e718c1fb56b07723e3ceaa7d079f)
@@ -270,4 +270,5 @@
             extrapolated_data = self._manager.createGuiData(extrapolated_data)
             extrapolated_data.name = title
+            extrapolated_data.title = title
 
             # Add the plot to the model item
@@ -288,11 +289,11 @@
             high_out_data = inv.get_extra_data_high(q_end=qmax_plot, npts=500)
 
+            # Plot the chart
+            title = "High-Q extrapolation"
+
             # Convert the data into plottable
             high_out_data = self._manager.createGuiData(high_out_data)
             high_out_data.name = title
-
-            # find how to add this plot to the existing plot for low_extrapolate
-            # Plot the chart
-            title = "High-Q extrapolation"
+            high_out_data.title = title
 
             # Add the plot to the model item
Index: src/sas/qtgui/Plotter.py
===================================================================
--- src/sas/qtgui/Plotter.py	(revision 3bdbfcc5cdff8a3a11a9bb19c1cc8c3660a9c2e2)
+++ src/sas/qtgui/Plotter.py	(revision b78996786903e718c1fb56b07723e3ceaa7d079f)
@@ -82,5 +82,8 @@
 
         # Plot name
-        self.title(title=self.data.title)
+        if self.data.title:
+            self.title(title=self.data.title)
+        else:
+            self.title(title=self.data.name)
 
         # Error marker toggle
@@ -134,5 +137,6 @@
         # Now add the legend with some customizations.
         self.legend = ax.legend(loc='upper right', shadow=True)
-        self.legend.set_picker(True)
+        if self.legend:
+            self.legend.set_picker(True)
 
         # Current labels for axes
@@ -191,6 +195,6 @@
         for id in self.plot_dict.keys():
             plot = self.plot_dict[id]
-            #name = plot.name
-            name = plot.title
+
+            name = plot.name if plot.name else plot.title
             plot_menu = self.contextMenu.addMenu('&%s' % name)
 
Index: src/sas/qtgui/Plotter2D.py
===================================================================
--- src/sas/qtgui/Plotter2D.py	(revision 3bdbfcc5cdff8a3a11a9bb19c1cc8c3660a9c2e2)
+++ src/sas/qtgui/Plotter2D.py	(revision b78996786903e718c1fb56b07723e3ceaa7d079f)
@@ -201,8 +201,10 @@
         Remove all sclicers from the chart
         """
-        if self.slicer:
-            self.slicer.clear()
-            self.canvas.draw()
-            self.slicer = None
+        if self.slicer is None:
+            return
+
+        self.slicer.clear()
+        self.canvas.draw()
+        self.slicer = None
 
     def onEditSlicer(self):
@@ -215,4 +217,6 @@
          # Pass the model to the Slicer Parameters widget
         self.slicer_widget = SlicerParameters(self, model=self.param_model)
+        self.manager.parent.workspace().addWindow(self.slicer_widget)
+
         self.slicer_widget.show()
 
Index: src/sas/qtgui/SlicerParameters.py
===================================================================
--- src/sas/qtgui/SlicerParameters.py	(revision 3bdbfcc5cdff8a3a11a9bb19c1cc8c3660a9c2e2)
+++ src/sas/qtgui/SlicerParameters.py	(revision b78996786903e718c1fb56b07723e3ceaa7d079f)
@@ -30,4 +30,7 @@
         # Disallow edit of the parameter name column.
         self.lstParams.model().setColumnReadOnly(0, True)
+
+        # Disable row number display
+        self.lstParams.verticalHeader().setVisible(False)
 
         # Specify the validator on the parameter value column.
@@ -68,4 +71,6 @@
             editor = QtGui.QLineEdit(widget)
             validator = QtGui.QDoubleValidator()
+            # Don't use the scientific notation, cause 'e'.
+            validator.setNotation(QtGui.QDoubleValidator.StandardNotation)
             editor.setValidator(validator)
             return editor
